Bug 859358 - glance register images null parameters
glance register images null parameters
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openstack-glance (Show other bugs)
17
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Mark McLoughlin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-21 05:53 EDT by Gabriel Staicu
Modified: 2013-07-31 23:34 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:34:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gabriel Staicu 2012-09-21 05:53:13 EDT
Description of problem:
glance register images null parameters

Version-Release number of selected component (if applicable):

yum info openstack-glance
Loaded plugins: langpacks, presto, refresh-packagekit
Installed Packages
Name        : openstack-glance
Arch        : noarch
Version     : 2012.2
Release     : 0.5.rc1.fc18
Size        : 106 k
Repo        : installed
From repo   : fedora-openstack-folsom
Summary     : OpenStack Image Service
URL         : http://glance.openstack.org
License     : ASL 2.0
Description : OpenStack Image Service (code-named Glance) provides discovery, registration,
            : and delivery services for virtual disk images. The Image Service API server
            : provides a standard REST interface for querying information about virtual disk
            : images stored in a variety of back-end stores, including OpenStack Object
            : Storage. Clients can register new virtual disk images with the Image Service,
            : query for information on publicly available disk images, and use the Image
            : Service's client library for streaming virtual disk images.
            : 
            : This package contains the API and registry servers.


How reproducible:
alaways

Steps to Reproduce:
1. Verify images available in registry
[root@fedora17x64-folsom ~]# glance image-list
+--------------------------------------+-------------+-------------+------------------+------------+--------+
| ID                                   | Name        | Disk Format | Container Format | Size       | Status |
+--------------------------------------+-------------+-------------+------------------+------------+--------+
| 665752c4-5f6a-4f21-a1ef-ded14d4ee2db | test_glance | qcow2       | ovf              | 4731830272 | active |
+--------------------------------------+-------------+-------------+------------------+------------+--------+

2. Create image without any parameters
[root@fedora17x64-folsom ~]# glance add
Added new image with ID: f4f7ed76-196b-4ecf-ba0a-f55df6524a5f
3. Verify images available in registry
glance image-list
+--------------------------------------+-------------+-------------+------------------+------------+--------+
| ID                                   | Name        | Disk Format | Container Format | Size       | Status |
+--------------------------------------+-------------+-------------+------------------+------------+--------+
| 665752c4-5f6a-4f21-a1ef-ded14d4ee2db | test_glance | qcow2       | ovf              | 4731830272 | active |
| f4f7ed76-196b-4ecf-ba0a-f55df6524a5f |             |             |                  |            | queued |
+--------------------------------------+-------------+-------------+------------------+------------+--------+

  
Actual results:

An image is put in que witout any parameters

Expected results:

An error message that request information regarding the image
Additional info:
Comment 1 Fedora End Of Life 2013-07-03 20:09:06 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 23:34:20 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.